<template>
  <div id="app">
    <Main />
  </div>
</template>

<script>
import Main from '@/views/Main.vue'

export default {
  name: 'App',
  components: {
    Main
  }
}
</script>

<style>
body {
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  background-color: #f7f8f9;
  font-size: 14px;
}
ul {
  list-style: none;
  padding: 0;
  margin: 0;
}
.container {
  display: flex;
}
button {
  display: inline-block;
  text-align: center;
  text-decoration: none;
  margin: 0;
  border: 0;
  border-radius: 2px;
  padding: 5px 10px;
  color: #ffffff;
  background-color: #0747a6;
  font-size: inherit;
  cursor: pointer;
  outline: none;
}
button:active {
  transform: translateY(1px);
  filter: saturate(150%);
}
button:disabled {
  opacity: 0.5;
  cursor: default;
}
.product-list {
  width: 50%;
  margin: 20px 10px;
}
.product-list__item {
  border: 2px solid #0747a6;
  overflow: hidden;
  margin-bottom: 20px;
  padding: 20px;
  box-shadow: 0 4px 10px rgba(0,26,52,.1);
}
.product-list__title {
  margin: -20px -20px 20px -20px;
  padding: 10px 20px;
  background: #0747a6;
  color: #fff;
}
.products__item {
  margin-bottom: 10px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-bottom: 10px;
  margin-bottom: 10px;
  border-bottom: 1px solid #0747a6;
}
.products__item:last-child {
  margin-bottom: 0;
  border: 0;
  margin-bottom: 0;
  padding-bottom: 0;
}
.products__title {
  width: 45%;
}
.products__title span {
  display: inline-block;
  font-size: 10px;
  padding: 5px;
  margin-top: 2px;
  background-color: rgba(249, 17, 85, 1);
  color: #fff;
}
.products__count {
  width: 20%;
  text-align: center;
}
.products__count span {
  min-width: 20px;
  display: inline-block;
  padding: 0 5px;
}
.products__price {
  width: 20%;
  text-align: center
}
.products__button {
  width: 15%;
  text-align: right;
}
.total {
  font-size: 18px;
  margin-bottom: 0;
}
.price {
  padding: 5px;
}
</style>
